Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162372 - 'c[1]' is used uninitialized in this function
Summary: 'c[1]' is used uninitialized in this function
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lv
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 12:06 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.51-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-11 05:15:39 UTC


Attachments (Terms of Use)

Description David Binderman 2005-07-03 12:06:43 UTC
Description of problem:

I just tried to compile package lv-4.51-5 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

raw.c:45: warning: 'c[1]' is used uninitialized in this function

The source code is

      DecodeAddChar( ASCII, c, 0 );

I agree with the compiler. Suggest initialise all of local variable "c"
before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Akira TAGOH 2005-07-11 05:15:39 UTC
Fixed in 4.51-6


Note You need to log in before you can comment on or make changes to this bug.